CON

  _clkmode        = xtal1 + pll16x                      ' Feedback and PLL multiplier
  _xinfreq        = 5_000_000                           ' External oscillator = 5 MHz

  MS_001          = 80_000_000 / 1_000

obj

  term  : "fullduplexserialplus"                        ' for terminal output
  mdb   : "datatransfer"

var                                                     
    
  long crdval                                           ' Card Value
  byte cardswiped, buffer[50]
    
pub main |  c, temp

  term.start(31, 30, %0000, 115_200)                    ' start terminal (use PST)

  repeat

    c := term.rxcheck
    if (c => 0)                                         ' anything in m->s buffer?
     case c
      "c" , "C":
          c := term.rxtime(2000)
            crdval := term.GetDec
            cardswiped := 1
            mdb.swipe(crdval, cardswiped)
            cardswiped := 0
   if (mdb.getflagp > 0)
            waitcnt((5 * MS_001) + cnt)
            temp := 0
            mdb.getprod(@buffer)
            temp := 256*buffer[0] + buffer[1] 
            term.dec(temp)
            term.str(string(","))
            term.hex(buffer[2], 2)
            term.hex(buffer[3], 2)
            term.tx(13)   